Version Management
# List Versions
Request
GET /openapi/delivery/releases?projectKey=<projectKey>&pageNum=<pageNum>&pageSize=<pageSize>
1
Query Parameter Description
| Parameter Name | Type | Description | Required |
|---|---|---|---|
projectKey | string | Project Key | Yes |
pageNum | int | Page number | Yes |
pageSize | int | Page size | Yes |
Success Response Description
| Parameter Name | Type | Description |
|---|---|---|
list | []DeliveryVersionInfo | Version list |
total | int | Total count |
DeliveryVersionInfo Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
id | string | Version ID |
version_name | string | Version name |
type | string | Type, K8SYaml or HelmChart |
status | string | Status: success, failed, creating, retrying |
labels | []string | Labels |
description | string | Description |
progress | DeliveryVersionProgress | Progress, only returned in version details |
created_by | string | Creator |
created_time | int64 | Creation time |
DeliveryVersionProgress Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
success_count | int | Success count |
total_count | int | Total count |
upload_status | string | Upload status: success, failed, waiting, uploading |
error | string | Error message |
Success Response Example
Details
{
"list": [
{
"id": "66287b110b8b8a631910f5ae",
"version_name": "v13",
"type": "K8SYaml",
"status": "success",
"labels": [],
"description": "labore id amet",
"progress": null,
"created_by": "patrick",
"create_time": 1713928977
},
{
"id": "662751047ac26dae6a3a1472",
"version_name": "v12",
"type": "K8SYaml",
"status": "failed",
"labels": [],
"description": "labore id amet",
"progress": null,
"created_by": "patrick",
"create_time": 1713852676
}
],
"total": 12
}
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
# Get Version Details
Request
GET /openapi/delivery/releases/:id
1
Path Parameter Description
| Parameter Name | Type | Description | Required |
|---|---|---|---|
id | string | Version ID | Yes |
Success Response Description
| Parameter Name | Type | Description |
|---|---|---|
version_info | DeliveryVersionInfo | Version details |
deploy_infos | []DeliveryDeployInfo | K8s delivery details, only for type K8SYaml |
distribute_infos | []DeliveryDistributeInfo | Helm delivery details, only for type HelmChart |
DeliveryDeployInfo Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
id | string | K8s delivery ID |
service_name | string | Service name |
service_module | string | Service module |
image | string | Full image address |
image_name | string | Image name |
registry_id | string | Image registry ID |
created_time | int64 | Creation time |
DeliveryDistributeInfo Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
id | string | Helm delivery ID |
service_name | string | Service name |
distribute_type | string | Delivery type: chart or image |
chart_name | string | Chart name, only for distribute_type = chart |
chart_repo_name | string | Chart repository name, only for distribute_type = chart |
chart_version | string | Chart version, only for distribute_type = chart |
service_module | string | Service module, only for distribute_type = image |
image | string | Full image address, only for distribute_type = image |
image_name | string | Image name, only for distribute_type = image |
namespace | string | Image repository namespace, only for distribute_type = image |
created_time | int64 | Creation time |
sub_distributes | DeliveryDistributeInfo | Sub-deliveries, usually only one level, parent is chart, child is image |
Success Response Example
K8s YAML Project
Details
{
"version_info": {
"id": "66287b110b8b8a631910f5ae",
"version_name": "v13",
"type": "K8SYaml",
"status": "success",
"labels": [
"cupidatat ullamco anim eiusmod"
],
"description": "labore id amet",
"progress": {
"success_count": 2,
"total_count": 2,
"upload_status": "success",
"error": ""
},
"created_by": "patrick",
"create_time": 1713928977
},
"deploy_infos": [
{
"id": "66287b110b8b8a631910f5af",
"service_name": "service1",
"service_module": "service1",
"image": "koderover.tencentcloudcr.com/test/service1:20240419133934-5-main",
"image_name": "service1",
"registry_id": "62ce6231e0281143de477e60",
"create_time": 1713928977
},
{
"id": "66287b110b8b8a631910f5b0",
"service_name": "service2",
"service_module": "service2",
"image": "koderover.tencentcloudcr.com/test/service2:20240419133934-5-main",
"image_name": "service2",
"registry_id": "62ce6231e0281143de477e60",
"create_time": 1713928977
}
],
"distribute_infos": []
}
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
Helm Chart Project
Details
{
"version_info": {
"id": "66287c000b8b8a631910f5b8",
"version_name": "v4",
"type": "HelmChart",
"status": "success",
"labels": [
"cupidatat ullamco anim eiusmod"
],
"description": "labore id amet",
"progress": {
"success_count": 2,
"total_count": 2,
"upload_status": "success",
"error": ""
},
"created_by": "patrick",
"create_time": 1713929216
},
"deploy_infos": [],
"distribute_infos": [
{
"id": "66287c080b8b8a631910f5bd",
"service_name": "service2",
"distribute_type": "chart",
"chart_name": "service2",
"chart_repo_name": "test",
"chart_version": "1.76",
"service_module": "",
"image": "",
"image_name": "",
"namespace": "",
"create_time": 1713929224,
"sub_distributes": [
{
"id": "66287c080b8b8a631910f5bc",
"service_name": "service2",
"distribute_type": "image",
"chart_name": "",
"chart_repo_name": "",
"chart_version": "",
"service_module": "service2",
"image": "koderover.tencentcloudcr.com/test/service2:20240419133934-5-main",
"image_name": "service2",
"namespace": "test",
"create_time": 1713929224,
"sub_distributes": []
}
]
},
{
"id": "66287c0f0b8b8a631910f5c0",
"service_name": "service1",
"distribute_type": "chart",
"chart_name": "service1",
"chart_repo_name": "test",
"chart_version": "1.76",
"service_module": "",
"image": "",
"image_name": "",
"namespace": "",
"create_time": 1713929231,
"sub_distributes": [
{
"id": "66287c0f0b8b8a631910f5bf",
"service_name": "service1",
"distribute_type": "image",
"chart_name": "",
"chart_repo_name": "",
"chart_version": "",
"service_module": "service1",
"image": "koderover.tencentcloudcr.com/test/service1:20240419133934-5-main",
"image_name": "service1",
"namespace": "test",
"create_time": 1713929231,
"sub_distributes": []
}
]
}
]
}
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
# Delete Version
Request
DELETE /openapi/delivery/releases/:id?projectKey=<projectKey>
1
Path Parameter Description
| Parameter Name | Type | Description | Required |
|---|---|---|---|
id | string | Version ID | Yes |
Query Parameter Description
| Parameter Name | Type | Description | Required |
|---|---|---|---|
projectKey | string | Project Key | Yes |
Success Response Example
{
"message": "success"
}
1
2
3
2
3
# Create Version for K8s YAML Project
Request
POST /openapi/delivery/releases/k8s
1
Body Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
project_key | string | Project Key |
version_name | string | Version name |
retry | bool | Retry or not |
env_name | string | Environment name |
production | bool | Is production env |
desc | string | Description |
labels | []string | Labels |
image_registry_id | string | Image registry ID |
yaml_datas | []DeliveryVersionYamlData | Yaml service list |
DeliveryVersionYamlData Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
service_name | string | Service name |
image_datas | []DeliveryVersionImageData | ReTag image list |
DeliveryVersionImageData Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
container_name | string | Container name |
image_name | string | Image name |
image_tag | string | Image tag |
disable_image_dist | bool | Disable image dist |
Success Response Example
{
"message": "success"
}
1
2
3
2
3
# Create Version for Helm Chart Project
Request
POST /openapi/delivery/releases/helm
1
Body Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
project_key | string | Project Key |
version_name | string | Version name |
retry | bool | Retry or not |
env_name | string | Environment name |
production | bool | Is production env |
desc | string | Description |
labels | []string | Labels |
image_registry_id | string | Image registry ID |
chart_repo_name | string | Chart repository name |
chart_datas | []DeliveryVersionChartData | Chart service list |
DeliveryVersionChartData Parameter Description
| Parameter Name | Type | Description |
|---|---|---|
service_name | string | Service name |
version | string | Chart version |
image_datas | []DeliveryVersionImageData | ReTag image list |
Success Response Example
{
"message": "success"
}
1
2
3
2
3


